Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.crosswire.common.options
Enum DataType

    java.lang.Object
      java.lang.Enum<DataType>
          org.crosswire.common.options.DataType

All Implemented Interfaces:
  Serializable, Comparable<DataType>

    public enum DataType

extends Enum<DataType>

A DataType provides the ability to marshal a String value to an object.

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Enum Constant Summary
`BOOLEAN` An boolean argument that allows various values for 'true'.
`INTEGER` An integer argument.
`STRING` A string argument.

Field Summary
`private String` | `name` The name of the DataType

Method Summary
`abstract Object` | `convertFromString(String input)` Convert a String to an DataType's expected value.
`static DataType` | `fromString(String name)` Find a DataType by name
`String` | `toString()`
`static DataType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRING

    public static final DataType STRING

  A string argument.

### INTEGER

    public static final DataType INTEGER

  An integer argument.

### BOOLEAN

    public static final DataType BOOLEAN

  An boolean argument that allows various values for 'true'.

Field Detail

### name

    private String name

  The name of the DataType

Method Detail

### values

    public static DataType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DataType c : DataType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DataType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### convertFromString

    public abstract Object convertFromString(String input)

  Convert a String to an DataType's expected value.

  Parameters:
    `input` - the string to convert
  Returns:
    the converted value

### fromString

    public static DataType fromString(String name)

  Find a DataType by name

  Parameters:
    `name` - the name of the DataType
  Returns:
    the DataType or null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<DataType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD